Subject: Re: bug#25030: 25.1; Unexpected indentation and syntax-highlighting in `emacs-lisp-mode'

From: Noam Postavsky <[email-masked]>
Date: Mon, 19 Mar 2018 19:53:40 -0400

unarchive 18163
merge 25030 18163
quit

Andy Moreton <[email-masked]> writes:

> This may not be a bug, but it is certainly a mis-feature.
>
> Warning should be reserved for syntax which may have unintended or
> surprising semantics. Indentation that does not follow a convention is
> not wrong either systacically or semantically.

I'm not convinced by this.  Code with unconventional indendation has
surprising syntax to a human reader (or from another perspective, when
I'm writing code which indents strangely, that clues me in that I've
written some unintended syntax), therefore, it seems a warning is
exactly appropriate.